diff --git a/src/backend/access/transam/slru.c b/src/backend/access/transam/slru.c
new file mode 100644
index 7ae7831..87059f4
*** a/src/backend/access/transam/slru.c
--- b/src/backend/access/transam/slru.c
*************** SlruPhysicalReadPage(SlruCtl ctl, int pa
*** 640,645 ****
--- 640,646 ----
  	int			offset = rpageno * BLCKSZ;
  	char		path[MAXPGPATH];
  	int			fd;
+ 	int			sz;
  
  	SlruFileName(ctl, path, segno);
  
*************** SlruPhysicalReadPage(SlruCtl ctl, int pa
*** 677,688 ****
  
  	errno = 0;
  	pgstat_report_wait_start(WAIT_EVENT_SLRU_READ);
! 	if (read(fd, shared->page_buffer[slotno], BLCKSZ) != BLCKSZ)
  	{
  		pgstat_report_wait_end();
  		slru_errcause = SLRU_READ_FAILED;
  		slru_errno = errno;
  		CloseTransientFile(fd);
  		return false;
  	}
  	pgstat_report_wait_end();
--- 678,691 ----
  
  	errno = 0;
  	pgstat_report_wait_start(WAIT_EVENT_SLRU_READ);
! 	sz = read(fd, shared->page_buffer[slotno], BLCKSZ);
! 	if (sz != BLCKSZ)
  	{
  		pgstat_report_wait_end();
  		slru_errcause = SLRU_READ_FAILED;
  		slru_errno = errno;
  		CloseTransientFile(fd);
+ 		elog(LOG,"JJ slru read obtained %d bytes with errno %d", sz, slru_errno);
  		return false;
  	}
  	pgstat_report_wait_end();
